Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class StrutsActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory
          org.apache.struts2.impl.StrutsActionProxyFactory

All Implemented Interfaces:
  ActionProxyFactory

    public class StrutsActionProxyFactory

extends DefaultActionProxyFactory

Field Summary

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`container`

Constructor Summary
`StrutsActionProxyFactory()`

Method Summary
`ActionProxy` | `createActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)`

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`createActionInvocation, createActionProxy, createActionProxy, createActionProxy, createActionProxy, createActionProxy, setContainer, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrutsActionProxyFactory

    public StrutsActionProxyFactory()

Method Detail

### createActionProxy

    public ActionProxy createActionProxy(ActionInvocation inv,
                                         String namespace,
                                         String actionName,
                                         String methodName,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Overrides:
    `createActionProxy` in class `DefaultActionProxyFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.